Page MenuHomePhabricator

Add [[Special:Purge/Page]]
Closed, DuplicatePublic

Description

See T13456#168777. We should have this as well.

Details

Reference
bz59622

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 2:43 AM
bzimport set Reference to bz59622.
bzimport added a subscriber: Unknown Object (MLST).
Reedy added a comment.Jan 4 2014, 2:47 AM

(In reply to comment #0)

See bug 11456 its #comment5. We should have this as well.

Just because DannyB says something... ;)

Not only, I subscribe to this four paws. History and Edit has been implemented already and this should be as well, it has even more sense than Special:Edit which should be page parameter (&action=edit) not separate page.

Change 105629 had a related patch set uploaded by Jackmcbarn:
Add Special:Purge

https://gerrit.wikimedia.org/r/105629

(In reply to comment #2)

Not only, I subscribe to this four paws. History and Edit has been
implemented already and this should be as well [...]

I have no idea what this means. Can you please clarify?

Ah, I remember bug 11456 now. My comment at bug 11456 comment 13 is still very relevant.

Change 105629 abandoned by Jackmcbarn:
Add Special:Purge

Reason:
A modified version of I612df6e33c74527c9a3a0af5a6c66cd977dc7344 is preferable to this solution.

https://gerrit.wikimedia.org/r/105629

Change 109523 had a related patch set uploaded by Legoktm:
Create Special:Purge

https://gerrit.wikimedia.org/r/109523

I don't think this is a good idea. We generally do not want people linking to ?action=purge. That's the reason why we have a click-through for anons, to discourage people from mass linking to it.

(In reply to comment #8)

I don't think this is a good idea. We generally do not want people linking to
?action=purge. That's the reason why we have a click-through for anons, to
discourage people from mass linking to it.

Purge is a hack (cf. bug 54902).

Change 109523 abandoned by Ebe123:
Create Special:Purge

Reason:
The change is useless.

https://gerrit.wikimedia.org/r/109523

I'm not sure this is a valid enhancement request.

(In reply to comment #9)

Purge is a hack (cf. bug 54902).

This. bug 54902 comment 4 by Brion sums it up pretty well I think. We shouldn't be further exposing the purge feature to users IMO.

(In reply to comment #9)

Purge is a hack (cf. bug 54902).

This. bug 54902 comment 4 by Brion sums it up pretty well I think. We shouldn't be further exposing the purge feature to users IMO.

For the lazy: T56902: Deprecate and remove the purge action from MediaWiki and T56902#635745.

@Legoktm I proposed this beacuse IMO url actions like &action=edit should be superseded in favor of a uniform Special pages system.

@Legoktm I proposed this beacuse IMO url actions like &action=edit should be superseded in favor of a uniform Special pages system.

See T43836: Foo?action=info should rather be Special:PageInfo/Foo instead

Danny_B updated the task description. (Show Details)Jun 1 2016, 5:35 PM
Danny_B edited subscribers, added: Danny_B; removed: wikibugs-l-list.
He7d3r added a subscriber: He7d3r.May 3 2018, 7:04 PM